#ifndef _KGR_PATCH_BSC1137597_H
#define _KGR_PATCH_BSC1137597_H

int kgr_patch_bsc1137597_init(void);
static inline void kgr_patch_bsc1137597_cleanup(void) {}


struct sock;
struct tcp_sack_block;
struct tcp_sacktag_state;

struct sk_buff * kgr_tcp_sacktag_walk(struct sk_buff *skb, struct sock *sk,
				      struct tcp_sack_block *next_dup,
				      struct tcp_sacktag_state *state,
				      u32 start_seq, u32 end_seq,
				      bool dup_sack_in);
int kgr_tcp_fragment(struct sock *sk, struct sk_buff *skb, u32 len,
		     unsigned int mss_now, gfp_t gfp);

#define KGR_PATCH_BSC1137597_FUNCS				\
	KGR_PATCH(tcp_sacktag_walk, kgr_tcp_sacktag_walk),	\
	KGR_PATCH(tcp_fragment, kgr_tcp_fragment),		\

#endif /* _KGR_PATCH_BSC1137597_H */
